FROM node:14-alpine

WORKDIR /usr/src/app

# Copy package.json and yarn.lock
COPY package.json yarn.lock ./
# Install dependencies
RUN yarn install && yarn cache clean

# Copy test files
COPY test ./test
# Copy openapi.yaml file
COPY ./openapi.yaml ./lib/
# Copy the entrypoint.sh file, a shellscript that will run the test 
COPY entrypoint.sh ./
RUN chmod +x entrypoint.sh


# Set the entry point to run tests
ENTRYPOINT ["/usr/src/app/entrypoint.sh"]
